(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     98899,       2725]
NotebookOptionsPosition[     97457,       2678]
NotebookOutlinePosition[     97800,       2693]
CellTagsIndexPosition[     97757,       2690]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "code", " ", "shows", " ", "the", " ", "mathematical", " ", 
    "steps", " ", "to", " ", "derive", " ", "the", " ", "final", " ", 
    "expression", " ", "for", " ", "the", " ", "branching", " ", "equations", 
    " ", "in", " ", "the", " ", "final", " ", 
    RowBox[{"model", ".", " ", "\[IndentingNewLine]", 
     SubscriptBox["x", "0"]}], " ", "is", " ", "the", " ", "initial", " ", 
    "step", " ", "with", " ", "zero", " ", "mutations", " ", 
    RowBox[{"(", "000", ")"}], "\[IndentingNewLine]", " ", 
    SubscriptBox["x", 
     RowBox[{"1", " "}]], "is", " ", "the", " ", "step", " ", "with", " ", 
    "the", " ", "first", " ", "gene", " ", "mutated", " ", 
    RowBox[{"(", "100", ")"}], "\[IndentingNewLine]", " ", 
    SubscriptBox["x", 
     RowBox[{"2", " "}]], "is", " ", "the", " ", "step", " ", "with", " ", 
    "the", " ", "second", " ", "gene", " ", "mutated", 
    RowBox[{"(", "010", ")"}], "\[IndentingNewLine]", " ", 
    SubscriptBox["x", 
     RowBox[{"3", " "}]], "is", " ", "the", " ", "step", " ", "with", " ", 
    "the", " ", "third", " ", "gene", " ", "mutated", " ", 
    RowBox[{"(", "001", ")"}], "\[IndentingNewLine]", " ", 
    SubscriptBox["x", 
     RowBox[{"12", " "}]], "is", " ", "the", " ", "step", " ", "with", " ", 
    "the", " ", "first", " ", "and", " ", "second", " ", "genes", " ", 
    "mutated", " ", 
    RowBox[{"(", "110", ")"}], "\[IndentingNewLine]", " ", 
    SubscriptBox["x", 
     RowBox[{"13", " "}]], "is", " ", "the", " ", "step", " ", "with", " ", 
    "the", " ", "first", " ", "and", " ", "third", " ", "genes", " ", 
    "mutated", " ", 
    RowBox[{"(", "101", ")"}], "\[IndentingNewLine]", " ", 
    SubscriptBox["x", 
     RowBox[{"23", " "}]], "is", " ", "the", " ", "step", " ", "with", " ", 
    "the", " ", "second", " ", "and", " ", "third", " ", "genes", " ", 
    "mutated", " ", 
    RowBox[{"(", "011", ")"}], "\[IndentingNewLine]", " ", 
    SubscriptBox["x", 
     RowBox[{"123", " "}]], "is", " ", "the", " ", "step", " ", "with", " ", 
    "all", " ", "the", " ", "genes", " ", "mutated", " ", 
    RowBox[{"(", "111", ")"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.6393182561355352`*^9, 3.639318257213952*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "m", ",", "A", ",", "X", ",", "Subscript", ",", " ", "ode", ",", "ci", ",",
     "sol"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"X", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["x", "0"], "[", "t", "]"}], ",", 
      RowBox[{
       SubscriptBox["x", "1"], "[", "t", "]"}], ",", 
      RowBox[{
       SubscriptBox["x", "2"], "[", "t", "]"}], ",", 
      RowBox[{
       SubscriptBox["x", "3"], "[", "t", "]"}], ",", 
      RowBox[{
       SubscriptBox["x", "12"], "[", "t", "]"}], ",", 
      RowBox[{
       SubscriptBox["x", "13"], "[", "t", "]"}], ",", 
      RowBox[{
       SubscriptBox["x", "23"], "[", "t", "]"}], ",", 
      RowBox[{
       SubscriptBox["x", "123"], "[", "t", "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AOriginal", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "                ", 
       RowBox[{
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "  ", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "          ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "           ", "0", ",",
         "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", "           ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "          ", "0", ",", 
        "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", "            ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"]}], ")"}]}]}], ",", "         ", "0", ",", 
        "0", ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "0", ",", "        ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           SubscriptBox["u", "3"], ")"}]}]}], ",", "                ", "0", 
        ",", "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "0", ",", "          ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           SubscriptBox["u", "2"], ")"}]}]}], ",", "              ", "0", ",",
         "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", "0", ",", "           ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           SubscriptBox["u", "1"], ")"}]}]}], ",", "             ", "0"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "      ", "r"}], 
       "                             ", "}"}]}], "\[IndentingNewLine]", 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Path", "  ", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"000", " ", "\[Rule]", " ", 
    RowBox[{"100", " ", "\[Rule]", " ", 
     RowBox[{"110", " ", "\[Rule]", " ", "111"}]}]}], " ", ";", 
   RowBox[{"(*", " ", 
    RowBox[{
     SubscriptBox["x", "0"], " ", "\[Rule]", " ", 
     RowBox[{
      SubscriptBox["x", "1"], " ", "\[Rule]", " ", 
      RowBox[{
       SubscriptBox["x", "12"], " ", "\[Rule]", " ", 
       SubscriptBox["x", "123"]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"A1", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "                ", 
       RowBox[{
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "  ", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "0"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "          ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "           ", "0", ",",
         "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "1"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", " ", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                                        ", 
      RowBox[{"(*", 
       SubscriptBox["x", "2"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                          ", 
      RowBox[{"(*", 
       SubscriptBox["x", "3"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", "0", ",", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           SubscriptBox["u", "3"], ")"}]}]}], ",", " ", "0", ",", "0", ",", 
        "0"}], "}"}], ",", "                               ", 
      RowBox[{"(*", 
       SubscriptBox["x", "12"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "13"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "23"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", " ", "r"}], "   ",
        "}"}]}], "                                                   ", 
     RowBox[{"(*", 
      SubscriptBox["x", "123"], "*)"}], "\[IndentingNewLine]", "}"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Path", "  ", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"000", " ", "\[Rule]", " ", 
    RowBox[{"100", " ", "\[Rule]", " ", 
     RowBox[{"101", " ", "\[Rule]", " ", "111"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     SubscriptBox["x", "0"], " ", "\[Rule]", " ", 
     RowBox[{
      SubscriptBox["x", "1"], " ", "\[Rule]", " ", 
      RowBox[{
       SubscriptBox["x", "13"], " ", "\[Rule]", " ", 
       SubscriptBox["x", "123"]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"A2", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "                ", 
       RowBox[{
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "  ", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "0"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "          ", 
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "           ", "0", ",",
         "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "1"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", " ", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                                        ", 
      RowBox[{"(*", 
       SubscriptBox["x", "2"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                          ", 
      RowBox[{"(*", 
       SubscriptBox["x", "3"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", " ", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                                       ", 
      RowBox[{"(*", 
       SubscriptBox["x", "12"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}]}], ")"}], ",", "0", ",", "0"}], "}"}], 
      ",", "                                ", 
      RowBox[{"(*", 
       SubscriptBox["x", "13"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "23"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", " ", "r"}], "   ", "}"}]}], 
     "                                                   ", 
     RowBox[{"(*", 
      SubscriptBox["x", "123"], "*)"}], "\[IndentingNewLine]", "}"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Path", "  ", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"000", " ", "\[Rule]", " ", 
    RowBox[{"010", " ", "\[Rule]", " ", 
     RowBox[{"110", " ", "\[Rule]", " ", "111"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     SubscriptBox["x", "0"], " ", "\[Rule]", " ", 
     RowBox[{
      SubscriptBox["x", "2"], " ", "\[Rule]", " ", 
      RowBox[{
       SubscriptBox["x", "12"], " ", "\[Rule]", " ", 
       SubscriptBox["x", "123"]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"A3", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "                ", 
       RowBox[{
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "  ", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "0"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", " ", "0", ",", "  ", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "1"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", " ", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["u", "1"], "+", 
             SubscriptBox["u", "3"]}], ")"}]}]}], ")"}], ",", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0"}], "}"}], ",", "                   ", 
      RowBox[{"(*", 
       SubscriptBox["x", "2"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                          ", 
      RowBox[{"(*", 
       SubscriptBox["x", "3"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "0", ",", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}]}], ")"}], ",", " ", "0", ",", "0", ",", 
        "0"}], "}"}], ",", "                               ", 
      RowBox[{"(*", 
       SubscriptBox["x", "12"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "13"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "23"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", " ", "r"}], "   ",
        "}"}]}], "                                                   ", 
     RowBox[{"(*", 
      SubscriptBox["x", "123"], "*)"}], "\[IndentingNewLine]", "}"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Path", "  ", "4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"000", " ", "\[Rule]", " ", 
    RowBox[{"010", " ", "\[Rule]", " ", 
     RowBox[{"011", " ", "\[Rule]", " ", "111"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     SubscriptBox["x", "0"], " ", "\[Rule]", " ", 
     RowBox[{
      SubscriptBox["x", "2"], " ", "\[Rule]", " ", 
      RowBox[{
       SubscriptBox["x", "23"], " ", "\[Rule]", " ", 
       SubscriptBox["x", "123"]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"A4", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "                ", 
       RowBox[{
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "  ", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "0"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", " ", "0", ",", "  ", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "1"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", " ", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["u", "1"], "+", 
             SubscriptBox["u", "3"]}], ")"}]}]}], ")"}], ",", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0"}], "}"}], ",", "                   ", 
      RowBox[{"(*", 
       SubscriptBox["x", "2"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                          ", 
      RowBox[{"(*", 
       SubscriptBox["x", "3"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", " ", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                                        ", 
      RowBox[{"(*", 
       SubscriptBox["x", "12"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "13"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}]}], ")"}], ",", "0"}], "}"}], ",", 
      "                                ", 
      RowBox[{"(*", 
       SubscriptBox["x", "23"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", " ", "r"}], "   ", "}"}]}], 
     "                                                   ", 
     RowBox[{"(*", 
      SubscriptBox["x", "123"], "*)"}], "\[IndentingNewLine]", "}"}]}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Path", "  ", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"000", " ", "\[Rule]", " ", 
    RowBox[{"001", " ", "\[Rule]", " ", 
     RowBox[{"011", " ", "\[Rule]", " ", "111"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     SubscriptBox["x", "0"], " ", "\[Rule]", " ", 
     RowBox[{
      SubscriptBox["x", "3"], " ", "\[Rule]", " ", 
      RowBox[{
       SubscriptBox["x", "23"], " ", "\[Rule]", " ", 
       SubscriptBox["x", "123"]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"A5", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "                ", 
       RowBox[{
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "  ", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "0"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", " ", "0", ",", "  ", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}], ",", 
      "                                       ", 
      RowBox[{"(*", 
       SubscriptBox["x", "1"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", " ", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                             ", 
      RowBox[{"(*", 
       SubscriptBox["x", "2"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], " ", ",", "0", ",", "0", ",", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["u", "1"], "+", 
             SubscriptBox["u", "2"]}], ")"}]}]}], ")"}], ",", "0", ",", "0", 
        ",", "0", ",", "0"}], "}"}], ",", "                  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "3"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", " ", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                                        ", 
      RowBox[{"(*", 
       SubscriptBox["x", "12"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "13"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", "0", ",", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}]}], ")"}], ",", "0"}], "}"}], ",", 
      "                                ", 
      RowBox[{"(*", 
       SubscriptBox["x", "23"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", " ", "r"}], "   ", "}"}]}], 
     "                                                   ", 
     RowBox[{"(*", 
      SubscriptBox["x", "123"], "*)"}], "\[IndentingNewLine]", "}"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Path", "  ", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"000", " ", "\[Rule]", " ", 
    RowBox[{"001", " ", "\[Rule]", " ", 
     RowBox[{"101", " ", "\[Rule]", " ", "111"}]}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     SubscriptBox["x", "0"], " ", "\[Rule]", " ", 
     RowBox[{
      SubscriptBox["x", "3"], " ", "\[Rule]", " ", 
      RowBox[{
       SubscriptBox["x", "13"], " ", "\[Rule]", " ", 
       SubscriptBox["x", "123"]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"A6", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"r", "-", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["u", "1"], "+", 
            SubscriptBox["u", "2"], "+", 
            SubscriptBox["u", "3"]}], ")"}]}]}], ",", "  ", "0", ",", "0", 
        ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "0"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", " ", "0", ",", "  ", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}], ",", 
      "                                       ", 
      RowBox[{"(*", 
       SubscriptBox["x", "1"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", " ", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                             ", 
      RowBox[{"(*", 
       SubscriptBox["x", "2"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}], " ", ",", "0", ",", "0", ",", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["u", "1"], "+", 
             SubscriptBox["u", "2"]}], ")"}]}]}], ")"}], ",", "0", ",", "0", 
        ",", "0", ",", "0"}], "}"}], ",", "                  ", 
      RowBox[{"(*", 
       SubscriptBox["x", "3"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", " ", "0", ",", "0", 
        ",", "0"}], "}"}], ",", 
      "                                                        ", 
      RowBox[{"(*", 
       SubscriptBox["x", "12"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], ",", "0", ",", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}]}], ")"}], ",", "0", ",", "0"}], "}"}], 
      ",", "                                   ", 
      RowBox[{"(*", 
       SubscriptBox["x", "13"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0"}], "}"}], ",", 
      "                                                          ", 
      RowBox[{"(*", 
       SubscriptBox["x", "23"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], ",", "0", ",", " ", "r"}], "   ", "}"}]}], 
     "                                                   ", 
     RowBox[{"(*", 
      SubscriptBox["x", "123"], "*)"}], "\[IndentingNewLine]", "}"}]}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Scaling", " ", "is", " ", "a", " ", "matrix", " ", "used", " ", "to", 
     " ", "rescale", " ", "the", " ", "quantities", " ", "that", " ", "are", 
     " ", "counted", " ", "more", " ", "than", " ", "once", " ", "since", " ",
      "thay", " ", "appear", " ", "in", " ", "different", " ", 
     RowBox[{"pathways", ".", " ", "\[IndentingNewLine]", "For"}], " ", 
     "example"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "initial", " ", "step", " ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["x", "0"], "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"b", " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["u", "1"], "+", 
           SubscriptBox["u", "2"], "+", 
           SubscriptBox["u", "3"]}], ")"}]}]}], ")"}], 
      RowBox[{
       SubscriptBox["x", "0"], "[", "t", "]"}], " ", "is", " ", "taken", " ", 
      "into", " ", "account", " ", "in", " ", "all", " ", "the", " ", "six", 
      " ", "pathaways"}]}], ",", " ", 
    RowBox[{
     RowBox[{"while", " ", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["x", "1"], "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "1"], " ", 
      RowBox[{
       SubscriptBox["x", "0"], "[", "t", "]"}], "  ", "is", " ", "taken", " ",
       "into", " ", "account", " ", "in", " ", "pathways", " ", "1", " ", 
      "and", " ", "2"}]}], ",", " ", 
    RowBox[{
     RowBox[{"so", " ", "that", " ", "the", " ", "step", " ", 
      SubscriptBox["x", "0"]}], " ", "\[Rule]", " ", 
     RowBox[{
      SubscriptBox["x", "1"], " ", "is", " ", "counted", " ", "twice"}]}]}], 
   "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Scaling", " ", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        FractionBox["1", "6"], ",", "  ", "1", ",", "1", ",", "1", ",", "1", 
        ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "0"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", "2"], ",", " ", 
        FractionBox["1", "2"], ",", "  ", "1", ",", "1", ",", "1", ",", "1", 
        ",", "1", ",", "1"}], "}"}], ",", 
      "                                                     ", 
      RowBox[{"(*", 
       SubscriptBox["x", "1"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", "2"], ",", "1", ",", " ", 
        FractionBox["1", "2"], ",", "1", ",", "1", ",", "1", ",", "1", ",", 
        "1"}], "}"}], ",", 
      "                                                          ", 
      RowBox[{"(*", 
       SubscriptBox["x", "2"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", "2"], " ", ",", "1", ",", "1", ",", 
        FractionBox["1", "2"], ",", "1", ",", "1", ",", "1", ",", "1"}], 
       "}"}], ",", 
      "                                                         ", 
      RowBox[{"(*", 
       SubscriptBox["x", "3"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", 
        FractionBox["1", "2"], ",", " ", "1", ",", "1", ",", "1"}], "}"}], 
      ",", "                                                        ", 
      RowBox[{"(*", 
       SubscriptBox["x", "12"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
        FractionBox["1", "2"], ",", "1", ",", "1"}], "}"}], ",", 
      "                                                           ", 
      RowBox[{"(*", 
       SubscriptBox["x", "13"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
        FractionBox["1", "2"], ",", "1"}], "}"}], ",", 
      "                                                          ", 
      RowBox[{"(*", 
       SubscriptBox["x", "23"], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", 
        FractionBox["1", "2"], ",", 
        FractionBox["1", "2"], ",", 
        FractionBox["1", "2"], ",", " ", 
        FractionBox["1", "6"]}], "   ", "}"}]}], 
     "                                                   ", 
     RowBox[{"(*", 
      SubscriptBox["x", "123"], "*)"}], "\[IndentingNewLine]", "}"}]}], ";"}],
   " "}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdz11IUwEYxvGTlQViNDAl6CylmNIqVwwWK8Sz1LwoWktYErb8mCCpA1kR
ZkuxYoUNhSjpoos+WMZIr09hIRk1U6b4MUVdF4mrNY4kFYxYnf+5ePldPTzP
W1DncbgzBEEwqIel1b9GI1sS0rnqexNobXoxjctj5TNoV8zzODOZt4y9356t
Yo5pKI2Ks3DzpGrQdVFzj9mdjT97j+ehYHPtwjL7673oW4wXYcPObiM+j04V
o1HWH0Zx9XoJVnXZJMwI3zmBlQPxGkxnKbW4L9bfhGdG3rbgWLS5Ewv+6fzY
/+dQD6ZCp/swdnfkEWb65CB2nH8Y0nbmvvqIrcknn7UeKTKr5dLeeTT13I7h
++aApt1rVfBNfVKz3XdAnOI/3Ts9tkuFBryaW7MffxfLJnx8v+wY6lcWytFs
SFaixbk+gLeWxJdonLAOYjx7cAgdkXDOompWyaYduD0esGBpyncEP3m2zn5V
HT4qzOGVla6WNjEhVdwc78a2xAU/fhmeC2GR8+kSyt+DMWyN9il4Y1tgDR2N
fumy6oMfYRv+nc4/ixuE3VWoG7W48KR4zY2Z4x8uYepUvgdDFRs7UPYe7MT/
q7otLg==
  "]],

Cell[BoxData["Path"], "Output",
 CellChangeTimes->{3.6393236521107435`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", " ", 
      SubscriptBox["u", "1"]}], ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "2"]}], ",", "0", ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       SubscriptBox["u", "3"]}]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", "r"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.6393236521107435`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", " ", 
      SubscriptBox["u", "1"]}], ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       SubscriptBox["u", "2"]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "2"]}], ",", "0", ",", "r"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.6393236521107435`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", " ", 
      SubscriptBox["u", "2"]}], ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "1"]}], ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       SubscriptBox["u", "3"]}]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", "r"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.6393236521107435`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", " ", 
      SubscriptBox["u", "2"]}], ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       SubscriptBox["u", "1"]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "1"]}], ",", "r"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6393236521107435`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", " ", 
      SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "2"]}], ",", "0", ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       SubscriptBox["u", "1"]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "1"]}], ",", "r"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6393236521107435`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"], "+", 
         SubscriptBox["u", "3"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", " ", 
      SubscriptBox["u", "3"]}], ",", "0", ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["u", "1"], "+", 
         SubscriptBox["u", "2"]}], ")"}]}]}], ",", "0", ",", "0", ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "1"]}], ",", "0", ",", 
     RowBox[{"r", "-", 
      RowBox[{"b", " ", 
       SubscriptBox["u", "2"]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"b", " ", 
      SubscriptBox["u", "2"]}], ",", "0", ",", "r"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.639323652142*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", " ", "=", " ", 
   RowBox[{"Scaling", 
    RowBox[{"(", 
     RowBox[{
     "A1", " ", "+", " ", "A2", " ", "+", " ", "A3", " ", "+", " ", "A4", " ",
       "+", " ", "A5", " ", "+", " ", "A6"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"{", 
   RowBox[{"\"\<A=\>\"", ",", 
    RowBox[{"MatrixForm", "@", "A"}]}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"{", 
   RowBox[{"\"\<A1=\>\"", ",", 
    RowBox[{"MatrixForm", "@", "A1"}]}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"{", 
   RowBox[{"\"\<A2=\>\"", ",", 
    RowBox[{"MatrixForm", "@", "A2"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6279771167481165`*^9, 3.6279771430016856`*^9}, {
  3.627977351353139*^9, 3.6279773529471865`*^9}, {3.6279775034669204`*^9, 
  3.627977504832848*^9}, {3.6279776417234445`*^9, 3.62797764361271*^9}, {
  3.6279778318206644`*^9, 3.6279778405374985`*^9}, {3.628017349961685*^9, 
  3.6280173582642994`*^9}, {3.6280174602103653`*^9, 3.6280174629448996`*^9}, {
  3.6280175488438826`*^9, 3.628017554261674*^9}}],

Cell[BoxData[
 TemplateBox[{"\"A=\"",TagBox[
    RowBox[{"(", "\[NoBreak]", 
      GridBox[{{
         RowBox[{
           FractionBox["1", "6"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"6", " ", "r"}], "-", 
               RowBox[{"6", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "2"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0", "0", "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "2"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0", "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], "0", "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "2"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0"}, {"0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 SubscriptBox["u", "3"]}]}], ")"}]}], "0", "0", "0"}, {"0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 SubscriptBox["u", "2"]}]}], ")"}]}], "0", "0"}, {"0", "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "0", "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 SubscriptBox["u", "1"]}]}], ")"}]}], "0"}, {
        "0", "0", "0", "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "r"}}, 
       GridBoxAlignment -> {
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
       GridBoxSpacings -> {"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]},
  "RowDefault"]], "Output",
 CellChangeTimes->{
  3.6279768445139275`*^9, {3.6279771092951317`*^9, 3.627977144986014*^9}, 
   3.627977360180027*^9, {3.6279776446904335`*^9, 3.6279776506554236`*^9}, 
   3.627977844464128*^9, {3.627977946245242*^9, 3.6279779487329054`*^9}, 
   3.6279780613943014`*^9, 3.627978093568833*^9, {3.627978325567094*^9, 
   3.627978343801298*^9}, 3.6279784511641474`*^9, 3.6279784953967485`*^9, 
   3.6279790007959776`*^9, 3.628017359139345*^9, 3.6280174639918146`*^9, 
   3.6280175546679325`*^9, 3.639318057639861*^9}],

Cell[BoxData[
 TemplateBox[{"\"A1=\"",TagBox[
    RowBox[{"(", "\[NoBreak]", 
      GridBox[{{
         RowBox[{"r", "-", 
           RowBox[{"b", " ", 
             RowBox[{"(", 
               RowBox[{
                 SubscriptBox["u", "1"], "+", 
                 SubscriptBox["u", "2"], "+", 
                 SubscriptBox["u", "3"]}], ")"}]}]}], "0", "0", "0", "0", "0",
          "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], 
         RowBox[{"r", "-", 
           RowBox[{"b", " ", 
             RowBox[{"(", 
               RowBox[{
                 SubscriptBox["u", "2"], "+", 
                 SubscriptBox["u", "3"]}], ")"}]}]}], "0", "0", "0", "0", "0",
          "0"}, {"0", "0", "0", "0", "0", "0", "0", "0"}, {
        "0", "0", "0", "0", "0", "0", "0", "0"}, {"0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "0", "0", 
         RowBox[{"r", "-", 
           RowBox[{"b", " ", 
             SubscriptBox["u", "3"]}]}], "0", "0", "0"}, {
        "0", "0", "0", "0", "0", "0", "0", "0"}, {
        "0", "0", "0", "0", "0", "0", "0", "0"}, {"0", "0", "0", "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], "0", "0", "r"}}, 
       GridBoxAlignment -> {
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
       GridBoxSpacings -> {"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]},
  "RowDefault"]], "Output",
 CellChangeTimes->{
  3.6279768445139275`*^9, {3.6279771092951317`*^9, 3.627977144986014*^9}, 
   3.627977360180027*^9, {3.6279776446904335`*^9, 3.6279776506554236`*^9}, 
   3.627977844464128*^9, {3.627977946245242*^9, 3.6279779487329054`*^9}, 
   3.6279780613943014`*^9, 3.627978093568833*^9, {3.627978325567094*^9, 
   3.627978343801298*^9}, 3.6279784511641474`*^9, 3.6279784953967485`*^9, 
   3.6279790007959776`*^9, 3.628017359139345*^9, 3.6280174639918146`*^9, 
   3.6280175546679325`*^9, 3.6393180576554728`*^9}],

Cell[BoxData[
 TemplateBox[{"\"A2=\"",TagBox[
    RowBox[{"(", "\[NoBreak]", 
      GridBox[{{
         RowBox[{"r", "-", 
           RowBox[{"b", " ", 
             RowBox[{"(", 
               RowBox[{
                 SubscriptBox["u", "1"], "+", 
                 SubscriptBox["u", "2"], "+", 
                 SubscriptBox["u", "3"]}], ")"}]}]}], "0", "0", "0", "0", "0",
          "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], 
         RowBox[{"r", "-", 
           RowBox[{"b", " ", 
             RowBox[{"(", 
               RowBox[{
                 SubscriptBox["u", "2"], "+", 
                 SubscriptBox["u", "3"]}], ")"}]}]}], "0", "0", "0", "0", "0",
          "0"}, {"0", "0", "0", "0", "0", "0", "0", "0"}, {
        "0", "0", "0", "0", "0", "0", "0", "0"}, {
        "0", "0", "0", "0", "0", "0", "0", "0"}, {"0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], "0", "0", "0", 
         RowBox[{"r", "-", 
           RowBox[{"b", " ", 
             SubscriptBox["u", "2"]}]}], "0", "0"}, {
        "0", "0", "0", "0", "0", "0", "0", "0"}, {"0", "0", "0", "0", "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "0", "r"}}, 
       GridBoxAlignment -> {
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
       GridBoxSpacings -> {"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]},
  "RowDefault"]], "Output",
 CellChangeTimes->{
  3.6279768445139275`*^9, {3.6279771092951317`*^9, 3.627977144986014*^9}, 
   3.627977360180027*^9, {3.6279776446904335`*^9, 3.6279776506554236`*^9}, 
   3.627977844464128*^9, {3.627977946245242*^9, 3.6279779487329054`*^9}, 
   3.6279780613943014`*^9, 3.627978093568833*^9, {3.627978325567094*^9, 
   3.627978343801298*^9}, 3.6279784511641474`*^9, 3.6279784953967485`*^9, 
   3.6279790007959776`*^9, 3.628017359139345*^9, 3.6280174639918146`*^9, 
   3.6280175546679325`*^9, 3.6393180576554728`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ode", "=", 
    RowBox[{"Thread", "[", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "t"], "X"}], "==", 
      RowBox[{"A", ".", "X"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ci", "=", 
    RowBox[{"Thread", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"X", "/.", 
        RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "\[Equal]", 
      RowBox[{"Prepend", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{
             RowBox[{"Length", "[", "X", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
        ",", "1"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sol", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ode", ",", "ci"}], "}"}], ",", "X", ",", "t"}], "]"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"{", 
   RowBox[{"\"\<X=\>\"", ",", 
    RowBox[{"MatrixForm", "@", "X"}]}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"{", 
   RowBox[{"\"\<A=\>\"", ",", 
    RowBox[{"MatrixForm", "@", "A"}]}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"{", 
   RowBox[{"\"\<ode=\>\"", ",", 
    RowBox[{"MatrixForm", "@", "ode"}]}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Row", "[", 
   RowBox[{"{", 
    RowBox[{"\"\<ci=\>\"", ",", 
     RowBox[{"MatrixForm", "@", "ci"}]}], "}"}], "]"}], "\[IndentingNewLine]",
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Column", "[", 
  RowBox[{"sol", ",", 
   RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Column", "[", 
   RowBox[{
    RowBox[{"Simplify", "@", 
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{"ExpandAll", "[", "sol", "]"}], ",", 
       RowBox[{"{", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"r", " ", "t"}]], "}"}]}], "]"}]}], ",", 
    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input"],

Cell[BoxData[
 TemplateBox[{"\"X=\"",TagBox[
    RowBox[{"(", "\[NoBreak]", 
      TagBox[
       GridBox[{{
          RowBox[{
            SubscriptBox["x", "0"], "[", "t", "]"}]}, {
          RowBox[{
            SubscriptBox["x", "1"], "[", "t", "]"}]}, {
          RowBox[{
            SubscriptBox["x", "2"], "[", "t", "]"}]}, {
          RowBox[{
            SubscriptBox["x", "3"], "[", "t", "]"}]}, {
          RowBox[{
            SubscriptBox["x", "12"], "[", "t", "]"}]}, {
          RowBox[{
            SubscriptBox["x", "13"], "[", "t", "]"}]}, {
          RowBox[{
            SubscriptBox["x", "23"], "[", "t", "]"}]}, {
          RowBox[{
            SubscriptBox["x", "123"], "[", "t", "]"}]}}, 
        GridBoxAlignment -> {
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
        GridBoxSpacings -> {"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.5599999999999999]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], Column], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]},
  "RowDefault"]], "Output",
 CellChangeTimes->{3.6279793823943543`*^9, 3.639318069155635*^9}],

Cell[BoxData[
 TemplateBox[{"\"A=\"",TagBox[
    RowBox[{"(", "\[NoBreak]", 
      GridBox[{{
         RowBox[{
           FractionBox["1", "6"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"6", " ", "r"}], "-", 
               RowBox[{"6", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "2"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0", "0", "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "2"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0", "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0", "0"}, {
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], "0", "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 RowBox[{"(", 
                   RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "2"]}], ")"}]}]}], ")"}]}], "0", "0", 
         "0", "0"}, {"0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 SubscriptBox["u", "3"]}]}], ")"}]}], "0", "0", "0"}, {"0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 SubscriptBox["u", "2"]}]}], ")"}]}], "0", "0"}, {"0", "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "0", "0", 
         RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"2", " ", "r"}], "-", 
               RowBox[{"2", " ", "b", " ", 
                 SubscriptBox["u", "1"]}]}], ")"}]}], "0"}, {
        "0", "0", "0", "0", 
         RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], 
         RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "r"}}, 
       GridBoxAlignment -> {
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
         "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
       GridBoxSpacings -> {"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]},
  "RowDefault"]], "Output",
 CellChangeTimes->{3.6279793823943543`*^9, 3.639318069155635*^9}],

Cell[BoxData[
 TemplateBox[{"\"ode=\"",TagBox[
    RowBox[{"(", "\[NoBreak]", 
      TagBox[
       GridBox[{{
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "0"], "\[Prime]", MultilineFunction -> None],
               "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              FractionBox["1", "6"], " ", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"6", " ", "r"}], "-", 
                  RowBox[{"6", " ", "b", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "2"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}], " ", 
              RowBox[{
                SubscriptBox["x", "0"], "[", "t", "]"}]}]}]}, {
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "1"], "\[Prime]", MultilineFunction -> None],
               "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              RowBox[{"b", " ", 
                SubscriptBox["u", "1"], " ", 
                RowBox[{
                  SubscriptBox["x", "0"], "[", "t", "]"}]}], "+", 
              RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"2", " ", "b", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["u", "2"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}], " ", 
                RowBox[{
                  SubscriptBox["x", "1"], "[", "t", "]"}]}]}]}]}, {
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "2"], "\[Prime]", MultilineFunction -> None],
               "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              RowBox[{"b", " ", 
                SubscriptBox["u", "2"], " ", 
                RowBox[{
                  SubscriptBox["x", "0"], "[", "t", "]"}]}], "+", 
              RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"2", " ", "b", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "3"]}], ")"}]}]}], ")"}], " ", 
                RowBox[{
                  SubscriptBox["x", "2"], "[", "t", "]"}]}]}]}]}, {
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "3"], "\[Prime]", MultilineFunction -> None],
               "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              RowBox[{"b", " ", 
                SubscriptBox["u", "3"], " ", 
                RowBox[{
                  SubscriptBox["x", "0"], "[", "t", "]"}]}], "+", 
              RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"2", " ", "b", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["u", "1"], "+", 
                    SubscriptBox["u", "2"]}], ")"}]}]}], ")"}], " ", 
                RowBox[{
                  SubscriptBox["x", "3"], "[", "t", "]"}]}]}]}]}, {
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "12"], "\[Prime]", MultilineFunction -> 
               None], "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              RowBox[{"b", " ", 
                SubscriptBox["u", "2"], " ", 
                RowBox[{
                  SubscriptBox["x", "1"], "[", "t", "]"}]}], "+", 
              RowBox[{"b", " ", 
                SubscriptBox["u", "1"], " ", 
                RowBox[{
                  SubscriptBox["x", "2"], "[", "t", "]"}]}], "+", 
              RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"2", " ", "b", " ", 
                    SubscriptBox["u", "3"]}]}], ")"}], " ", 
                RowBox[{
                  SubscriptBox["x", "12"], "[", "t", "]"}]}]}]}]}, {
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "13"], "\[Prime]", MultilineFunction -> 
               None], "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              RowBox[{"b", " ", 
                SubscriptBox["u", "3"], " ", 
                RowBox[{
                  SubscriptBox["x", "1"], "[", "t", "]"}]}], "+", 
              RowBox[{"b", " ", 
                SubscriptBox["u", "1"], " ", 
                RowBox[{
                  SubscriptBox["x", "3"], "[", "t", "]"}]}], "+", 
              RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"2", " ", "b", " ", 
                    SubscriptBox["u", "2"]}]}], ")"}], " ", 
                RowBox[{
                  SubscriptBox["x", "13"], "[", "t", "]"}]}]}]}]}, {
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "23"], "\[Prime]", MultilineFunction -> 
               None], "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              RowBox[{"b", " ", 
                SubscriptBox["u", "3"], " ", 
                RowBox[{
                  SubscriptBox["x", "2"], "[", "t", "]"}]}], "+", 
              RowBox[{"b", " ", 
                SubscriptBox["u", "2"], " ", 
                RowBox[{
                  SubscriptBox["x", "3"], "[", "t", "]"}]}], "+", 
              RowBox[{
                FractionBox["1", "2"], " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"2", " ", "r"}], "-", 
                    RowBox[{"2", " ", "b", " ", 
                    SubscriptBox["u", "1"]}]}], ")"}], " ", 
                RowBox[{
                  SubscriptBox["x", "23"], "[", "t", "]"}]}]}]}]}, {
          RowBox[{
            RowBox[{
              SuperscriptBox[
               SubscriptBox["x", "123"], "\[Prime]", MultilineFunction -> 
               None], "[", "t", "]"}], "\[Equal]", 
            RowBox[{
              RowBox[{"b", " ", 
                SubscriptBox["u", "3"], " ", 
                RowBox[{
                  SubscriptBox["x", "12"], "[", "t", "]"}]}], "+", 
              RowBox[{"b", " ", 
                SubscriptBox["u", "2"], " ", 
                RowBox[{
                  SubscriptBox["x", "13"], "[", "t", "]"}]}], "+", 
              RowBox[{"b", " ", 
                SubscriptBox["u", "1"], " ", 
                RowBox[{
                  SubscriptBox["x", "23"], "[", "t", "]"}]}], "+", 
              RowBox[{"r", " ", 
                RowBox[{
                  SubscriptBox["x", "123"], "[", "t", "]"}]}]}]}]}}, 
        GridBoxAlignment -> {
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
        GridBoxSpacings -> {"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.5599999999999999]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], Column], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]},
  "RowDefault"]], "Output",
 CellChangeTimes->{3.6279793823943543`*^9, 3.639318069155635*^9}],

Cell[BoxData[
 TemplateBox[{"\"ci=\"",TagBox[
    RowBox[{"(", "\[NoBreak]", 
      TagBox[
       GridBox[{{
          RowBox[{
            RowBox[{
              SubscriptBox["x", "0"], "[", "0", "]"}], "\[Equal]", "1"}]}, {
          RowBox[{
            RowBox[{
              SubscriptBox["x", "1"], "[", "0", "]"}], "\[Equal]", "0"}]}, {
          RowBox[{
            RowBox[{
              SubscriptBox["x", "2"], "[", "0", "]"}], "\[Equal]", "0"}]}, {
          RowBox[{
            RowBox[{
              SubscriptBox["x", "3"], "[", "0", "]"}], "\[Equal]", "0"}]}, {
          RowBox[{
            RowBox[{
              SubscriptBox["x", "12"], "[", "0", "]"}], "\[Equal]", "0"}]}, {
          RowBox[{
            RowBox[{
              SubscriptBox["x", "13"], "[", "0", "]"}], "\[Equal]", "0"}]}, {
          RowBox[{
            RowBox[{
              SubscriptBox["x", "23"], "[", "0", "]"}], "\[Equal]", "0"}]}, {
          RowBox[{
            RowBox[{
              SubscriptBox["x", "123"], "[", "0", "]"}], "\[Equal]", "0"}]}}, 
        GridBoxAlignment -> {
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
        GridBoxSpacings -> {"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.5599999999999999]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], Column], "\[NoBreak]", ")"}], 
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]},
  "RowDefault"]], "Output",
 CellChangeTimes->{3.6279793823943543`*^9, 3.6393180691712604`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "0"], "[", "t", "]"}], "\[Rule]", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"t", " ", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}]}], ")"}]}]]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "1"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "2"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "3"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "12"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "13"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "23"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "123"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"r", " ", "t"}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}]}], ")"}]}]], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]]}]}]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.6279793823943543`*^9, 3.6393180691712604`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "0"], "[", "t", "]"}], "\[Rule]", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"t", " ", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}], "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}], "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}]}], ")"}]}]]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "1"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "1"]}]]}], ")"}]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "2"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "2"]}]]}], ")"}]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "3"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "3"]}]]}], ")"}]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "12"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "1"]}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "2"]}]]}], ")"}]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "13"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "1"]}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "3"]}]]}], ")"}]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "23"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "2"]}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "3"]}]]}], ")"}]}]}]},
    {
     RowBox[{
      RowBox[{
       SubscriptBox["x", "123"], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"t", " ", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "1"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "2"]}], "-", 
           RowBox[{"b", " ", 
            SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "1"]}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "2"]}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", " ", "t", " ", 
           SubscriptBox["u", "3"]}]]}], ")"}]}]}]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.6279793823943543`*^9, 3.63931806922348*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox[
    OverscriptBox["x", "_"], "1"], "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "12"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "13"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "1"], "[", "t", "]"}]}], ")"}], "/.", "sol"}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox[
    OverscriptBox["x", "_"], "2"], "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "12"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "23"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "2"], "[", "t", "]"}]}], ")"}], "/.", "sol"}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox[
    OverscriptBox["x", "_"], "3"], "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "13"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "23"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["x", "3"], "[", "t", "]"}]}], ")"}], "/.", "sol"}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"HoldForm", "[", 
        RowBox[{
         SubscriptBox[
          OverscriptBox["x", "_"], "1"], "=", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "12"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "13"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "1"], "[", "t", "]"}]}], ")"}]}], "]"}], ",", 
       SubscriptBox[
        OverscriptBox["x", "_"], "1"]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"HoldForm", "[", 
        RowBox[{
         SubscriptBox[
          OverscriptBox["x", "_"], "2"], "=", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "12"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "23"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "2"], "[", "t", "]"}]}], ")"}]}], "]"}], ",", 
       SubscriptBox[
        OverscriptBox["x", "_"], "2"]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"HoldForm", "[", 
        RowBox[{
         SubscriptBox[
          OverscriptBox["x", "_"], "3"], "=", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "13"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "23"], "[", "t", "]"}], "+", 
           RowBox[{
            SubscriptBox["x", "3"], "[", "t", "]"}]}], ")"}]}], "]"}], ",", 
       SubscriptBox[
        OverscriptBox["x", "_"], "3"]}], "}"}]}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "All"}], ",", 
   RowBox[{"Spacings", "\[Rule]", "5"}]}], "]"}]}], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[
      RowBox[{
       SubscriptBox[
        OverscriptBox["x", "_"], "1"], "=", 
       RowBox[{
        RowBox[{
         SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "12"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "13"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "1"], "[", "t", "]"}]}]}],
      HoldForm], 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"r", " ", "t"}]], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"t", " ", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "1"]}]}], ")"}]}]]}]},
    {
     TagBox[
      RowBox[{
       SubscriptBox[
        OverscriptBox["x", "_"], "2"], "=", 
       RowBox[{
        RowBox[{
         SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "12"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "23"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "2"], "[", "t", "]"}]}]}],
      HoldForm], 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"r", " ", "t"}]], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"t", " ", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "2"]}]}], ")"}]}]]}]},
    {
     TagBox[
      RowBox[{
       SubscriptBox[
        OverscriptBox["x", "_"], "3"], "=", 
       RowBox[{
        RowBox[{
         SubscriptBox["x", "123"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "13"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "23"], "[", "t", "]"}], "+", 
        RowBox[{
         SubscriptBox["x", "3"], "[", "t", "]"}]}]}],
      HoldForm], 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"r", " ", "t"}]], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"t", " ", 
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"b", " ", 
           SubscriptBox["u", "3"]}]}], ")"}]}]]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{5}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.627979420185646*^9, 3.6393180794126453`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\"\<Final Expression of the Branching Process\>\"", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"t", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "1"]}]]}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"t", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "1"]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "2"]}]]}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"t", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "1"]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "3"]}]]}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"t", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "1"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "2"]}], "-", 
        RowBox[{"b", " ", 
         SubscriptBox["u", "3"]}]}], ")"}]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "1"]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "2"]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", " ", "t", " ", 
        SubscriptBox["u", "3"]}]]}], ")"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6393178977161517`*^9, 3.6393179014149437`*^9}, {
  3.6393179359962063`*^9, 3.639317951622689*^9}}],

Cell[BoxData["\<\"Final Expression of the Branching Process\"\>"], "Output",
 CellChangeTimes->{3.639318093141281*^9}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"r", " ", "t"}]], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "b"}], " ", "t", " ", 
      SubscriptBox["u", "1"]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.639318093156906*^9}]
}, Open  ]]
},
WindowSize->{1350, 641},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 2294, 43, 212, "Input"],
Cell[CellGroupData[{
Cell[2876, 67, 31568, 790, 2436, "Input"],
Cell[34447, 859, 75, 1, 31, "Output"],
Cell[34525, 862, 1719, 52, 52, "Output"],
Cell[36247, 916, 1719, 52, 52, "Output"],
Cell[37969, 970, 1719, 52, 52, "Output"],
Cell[39691, 1024, 1716, 51, 52, "Output"],
Cell[41410, 1077, 1716, 51, 52, "Output"],
Cell[43129, 1130, 1714, 52, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44880, 1187, 1136, 26, 92, "Input"],
Cell[46019, 1215, 4518, 115, 202, "Output"],
Cell[50540, 1332, 2275, 51, 132, "Output"],
Cell[52818, 1385, 2275, 51, 132, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55130, 1441, 2345, 70, 375, "Input"],
Cell[57478, 1513, 1355, 34, 132, "Output"],
Cell[58836, 1549, 4067, 108, 202, "Output"],
Cell[62906, 1659, 7819, 192, 202, "Output"],
Cell[70728, 1853, 1694, 42, 132, "Output"],
Cell[72425, 1897, 8729, 261, 172, "Output"],
Cell[81157, 2160, 6538, 199, 200, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[87732, 2364, 3549, 111, 132, "Input"],
Cell[91284, 2477, 2486, 80, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93807, 2562, 3185, 98, 74, "Input"],
Cell[96995, 2662, 118, 1, 31, "Output"],
Cell[97116, 2665, 325, 10, 33, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
